<template>
    <div id="fotos">
        <h2 v-if="!$store.state.flickrApiAvailable" class="not-available-message">
            Flickr ist aktuell nicht erreichbar, weshalb die Bilder der einzelnen Alben nicht geladen werden können.
        </h2>
        <div class="loading-bar" v-show="$store.state.isLoading">
            <i class="fa fa-sync-alt fa-spin"></i>
        </div>

        <transition name="fade">
            <router-view></router-view>
        </transition>
    </div>
</template>

<style lang="scss">
    body {
        overflow-y: scroll;
    }

    #fotos {
        position: relative;

        img {
            max-width: 100%;
        }
    }

    .loading-bar {
        position: absolute;
        top: 0;
        right: 0;
        font-size: 1.5em;
    }

    .btn {
        box-shadow: 0 1px 3px #bcbcbc;
        background-image: linear-gradient(to bottom, #ffffff, #f3f3f3);
        color: #535353;
        text-decoration: none;
        cursor: pointer;
    }

    .fade-enter-active,
    .fade-leave-active {
        transition-duration: 0.3s;
        transition-property: opacity;
        transition-timing-function: ease;
    }

    .fade-enter,
    .fade-leave {
        opacity: 0
    }

    .not-available-message {
        text-transform: none;
    }
</style>
